<link rel="preconnect" href="https://fonts.gstatic.com" />
<link
  href="https://fonts.googleapis.com/css2?family=Montserrat:wght@300&display=swap"
  rel="stylesheet"
/>
<div class="chat-icon-display" (click)="viewChatBox()">
  <svg
    xmlns="http://www.w3.org/2000/svg"
    xmlns:xlink="http://www.w3.org/1999/xlink"
    xmlns:svgjs="http://svgjs.com/svgjs"
    version="1.1"
    width="30"
    height="30"
    x="0"
    y="0"
    viewBox="0 0 512 512"
    style="enable-background: new 0 0 512 512"
    xml:space="preserve"
    class="icon"
  >
    <g>
      <g xmlns="http://www.w3.org/2000/svg">
        <path
          d="m354.03 31.622h-296.13c-31.93 0-57.9 25.97-57.9 57.9v259.5c0 12.29 13.899 19.218 23.71 12.21l82.47-58.84c6.92-4.93 15.06-7.54 23.56-7.54h181.39c31.93 0 57.9-25.97 57.9-57.9v-190.33c0-8.28-6.72-15-15-15zm-72.86 181.71h-173.31c-8.28 0-15-6.71-15-15 0-8.28 6.72-15 15-15h173.31c8.28 0 15 6.72 15 15 0 8.29-6.72 15-15 15zm0-70h-173.31c-8.28 0-15-6.71-15-15 0-8.28 6.72-15 15-15h173.31c8.28 0 15 6.72 15 15 0 8.29-6.72 15-15 15z"
          fill="#ffffff"
          data-original="#000000"
          style=""
          class=""
        />
        <path
          d="m512 205.872v259.49c0 12.207-13.829 19.268-23.71 12.21l-82.47-58.83c-6.92-4.93-15.06-7.54-23.56-7.54h-181.39c-31.93 0-57.9-25.98-57.9-57.91v-28.44h168.16c48.47 0 87.9-39.43 87.9-87.9v-88.99h55.07c31.93 0 57.9 25.98 57.9 57.91z"
          fill="#ffffff"
          data-original="#000000"
          style=""
          class=""
        />
      </g>
    </g>
  </svg>
</div>
<div class="view-chatbox" #chatBoxPopup>
  <div class="chatbox-heading">
    <div>
      <img
        src="/assets/icons/techigai-logo.svg"
        alt="techigai"
        class="techigai-logo"
      />
    </div>
    <div class="chatbot-welcome-note">Welcome to Chatbot!</div>
  </div>
  <div class="chatbox-body">
    <div class="chatbox-body-message">
      <div class="sending-message">
        <div class="message-box">Hi</div>
      </div>
      <div class="receiving-message">
        <div class="icon-stethoscope">
          <svg
            id="Capa_1"
            enable-background="new 0 0 512.014 512.014"
            height="15"
            viewBox="0 0 512.014 512.014"
            width="15"
            xmlns="http://www.w3.org/2000/svg"
            class="stethoscope-padding"
          >
            <g>
              <path
                d="m498.862 45.865c-12.395-16.433-31.309-25.857-51.893-25.857h-8.714v-5c0-8.284-6.716-15-15-15s-15 6.716-15 15v40c0 8.284 6.716 15 15 15s15-6.716 15-15v-5h8.714c11.083 0 21.268 5.075 27.942 13.923s8.756 20.035 5.711 30.692l-39.812 139.342c-11.11 38.885-47.114 66.042-87.555 66.042s-76.445-27.158-87.555-66.042l-39.811-139.343c-3.045-10.657-.963-21.844 5.711-30.692 6.674-8.849 16.859-13.923 27.942-13.923h8.713v5c0 8.284 6.716 15 15 15s15-6.716 15-15v-40c0-8.284-6.716-15-15-15s-15 6.716-15 15v5h-8.713c-20.583 0-39.498 9.425-51.893 25.857-12.396 16.433-16.261 37.208-10.606 56.999l39.812 139.342c7.286 25.5 22.328 47.419 43.5 63.39 4.538 3.423 9.271 6.478 14.153 9.2l43.748 103.258v10.826c0 29.295-23.833 53.128-53.128 53.128s-53.128-23.833-53.128-53.128v-102.872c0-47.42-38.58-86-86-86s-86 38.58-86 86v35.509c-34.192 6.968-60 37.271-60 73.491 0 41.355 33.645 75 75 75s75-33.645 75-75c0-36.219-25.808-66.522-60-73.491v-35.509c0-30.878 25.122-56 56-56s56 25.122 56 56v102.872c0 45.837 37.291 83.128 83.128 83.128s83.128-37.291 83.128-83.128v-10.826l43.749-103.258c4.882-2.722 9.615-5.777 14.152-9.2 21.172-15.97 36.214-37.89 43.5-63.39l39.812-139.342c5.655-19.79 1.788-40.566-10.607-56.998zm-378.862 389.142c0 24.813-20.187 45-45 45s-45-20.187-45-45 20.187-45 45-45 45 20.187 45 45zm233.256-58.451-20.452-48.273c6.697 1.135 13.529 1.724 20.453 1.724s13.755-.589 20.452-1.724z"
              />
              <circle cx="75" cy="435.007" r="15" />
            </g>
          </svg>
        </div>
        <div class="message-box">
          Hello! I am a healthcare chatbot.
          <br /><br />
          I can help you with the following
          <br />
          <ol>
            <li>Symptom Checker</li>
            <li>Book Appointment</li>
          </ol>
          <br />
          What can I call you?
        </div>
      </div>
      <div class="sending-message">
        <div class="message-box">John Doe</div>
      </div>
      <div class="receiving-message">
        <div class="icon-stethoscope">
          <span [inlineSVG]="stethoscope"></span>
          <!-- <img
            src="/assets/icons/stethoscope.svg"
            class="stethoscope-padding"
          /> -->
          <!-- <svg
            id="Capa_1"
            enable-background="new 0 0 512.014 512.014"
            height="15"
            viewBox="0 0 512.014 512.014"
            width="15"
            xmlns="http://www.w3.org/2000/svg"
            class="stethoscope-padding"
          >
            <g>
              <path
                d="m498.862 45.865c-12.395-16.433-31.309-25.857-51.893-25.857h-8.714v-5c0-8.284-6.716-15-15-15s-15 6.716-15 15v40c0 8.284 6.716 15 15 15s15-6.716 15-15v-5h8.714c11.083 0 21.268 5.075 27.942 13.923s8.756 20.035 5.711 30.692l-39.812 139.342c-11.11 38.885-47.114 66.042-87.555 66.042s-76.445-27.158-87.555-66.042l-39.811-139.343c-3.045-10.657-.963-21.844 5.711-30.692 6.674-8.849 16.859-13.923 27.942-13.923h8.713v5c0 8.284 6.716 15 15 15s15-6.716 15-15v-40c0-8.284-6.716-15-15-15s-15 6.716-15 15v5h-8.713c-20.583 0-39.498 9.425-51.893 25.857-12.396 16.433-16.261 37.208-10.606 56.999l39.812 139.342c7.286 25.5 22.328 47.419 43.5 63.39 4.538 3.423 9.271 6.478 14.153 9.2l43.748 103.258v10.826c0 29.295-23.833 53.128-53.128 53.128s-53.128-23.833-53.128-53.128v-102.872c0-47.42-38.58-86-86-86s-86 38.58-86 86v35.509c-34.192 6.968-60 37.271-60 73.491 0 41.355 33.645 75 75 75s75-33.645 75-75c0-36.219-25.808-66.522-60-73.491v-35.509c0-30.878 25.122-56 56-56s56 25.122 56 56v102.872c0 45.837 37.291 83.128 83.128 83.128s83.128-37.291 83.128-83.128v-10.826l43.749-103.258c4.882-2.722 9.615-5.777 14.152-9.2 21.172-15.97 36.214-37.89 43.5-63.39l39.812-139.342c5.655-19.79 1.788-40.566-10.607-56.998zm-378.862 389.142c0 24.813-20.187 45-45 45s-45-20.187-45-45 20.187-45 45-45 45 20.187 45 45zm233.256-58.451-20.452-48.273c6.697 1.135 13.529 1.724 20.453 1.724s13.755-.589 20.452-1.724z"
              />
              <circle cx="75" cy="435.007" r="15" />
            </g>
          </svg> -->
        </div>
        <div class="message-box">
          Please tell your symptoms John so that we can evaluate your existing
          health issue!
        </div>
      </div>
      <div class="sending-message">
        <div class="message-box">Fever</div>
      </div>
      <div class="receiving-message">
        <div class="icon-stethoscope">
          <svg
            id="Capa_1"
            enable-background="new 0 0 512.014 512.014"
            height="15"
            viewBox="0 0 512.014 512.014"
            width="15"
            xmlns="http://www.w3.org/2000/svg"
            class="stethoscope-padding"
          >
            <g>
              <path
                d="m498.862 45.865c-12.395-16.433-31.309-25.857-51.893-25.857h-8.714v-5c0-8.284-6.716-15-15-15s-15 6.716-15 15v40c0 8.284 6.716 15 15 15s15-6.716 15-15v-5h8.714c11.083 0 21.268 5.075 27.942 13.923s8.756 20.035 5.711 30.692l-39.812 139.342c-11.11 38.885-47.114 66.042-87.555 66.042s-76.445-27.158-87.555-66.042l-39.811-139.343c-3.045-10.657-.963-21.844 5.711-30.692 6.674-8.849 16.859-13.923 27.942-13.923h8.713v5c0 8.284 6.716 15 15 15s15-6.716 15-15v-40c0-8.284-6.716-15-15-15s-15 6.716-15 15v5h-8.713c-20.583 0-39.498 9.425-51.893 25.857-12.396 16.433-16.261 37.208-10.606 56.999l39.812 139.342c7.286 25.5 22.328 47.419 43.5 63.39 4.538 3.423 9.271 6.478 14.153 9.2l43.748 103.258v10.826c0 29.295-23.833 53.128-53.128 53.128s-53.128-23.833-53.128-53.128v-102.872c0-47.42-38.58-86-86-86s-86 38.58-86 86v35.509c-34.192 6.968-60 37.271-60 73.491 0 41.355 33.645 75 75 75s75-33.645 75-75c0-36.219-25.808-66.522-60-73.491v-35.509c0-30.878 25.122-56 56-56s56 25.122 56 56v102.872c0 45.837 37.291 83.128 83.128 83.128s83.128-37.291 83.128-83.128v-10.826l43.749-103.258c4.882-2.722 9.615-5.777 14.152-9.2 21.172-15.97 36.214-37.89 43.5-63.39l39.812-139.342c5.655-19.79 1.788-40.566-10.607-56.998zm-378.862 389.142c0 24.813-20.187 45-45 45s-45-20.187-45-45 20.187-45 45-45 45 20.187 45 45zm233.256-58.451-20.452-48.273c6.697 1.135 13.529 1.724 20.453 1.724s13.755-.589 20.452-1.724z"
              />
              <circle cx="75" cy="435.007" r="15" />
            </g>
          </svg>
        </div>
        <div class="message-box">
          Please let us know if you have symptoms like swelled lymph nodes?
          <div class="select-button message-box">Yes</div>
          <div class="select-button message-box">No</div>
        </div>
      </div>
      <div class="sending-message">
        <div class="message-box">Yes</div>
      </div>
      <div class="receiving-message">
        <div class="icon-stethoscope">
          <svg
            id="Capa_1"
            enable-background="new 0 0 512.014 512.014"
            height="15"
            viewBox="0 0 512.014 512.014"
            width="15"
            xmlns="http://www.w3.org/2000/svg"
            class="stethoscope-padding"
          >
            <g>
              <path
                d="m498.862 45.865c-12.395-16.433-31.309-25.857-51.893-25.857h-8.714v-5c0-8.284-6.716-15-15-15s-15 6.716-15 15v40c0 8.284 6.716 15 15 15s15-6.716 15-15v-5h8.714c11.083 0 21.268 5.075 27.942 13.923s8.756 20.035 5.711 30.692l-39.812 139.342c-11.11 38.885-47.114 66.042-87.555 66.042s-76.445-27.158-87.555-66.042l-39.811-139.343c-3.045-10.657-.963-21.844 5.711-30.692 6.674-8.849 16.859-13.923 27.942-13.923h8.713v5c0 8.284 6.716 15 15 15s15-6.716 15-15v-40c0-8.284-6.716-15-15-15s-15 6.716-15 15v5h-8.713c-20.583 0-39.498 9.425-51.893 25.857-12.396 16.433-16.261 37.208-10.606 56.999l39.812 139.342c7.286 25.5 22.328 47.419 43.5 63.39 4.538 3.423 9.271 6.478 14.153 9.2l43.748 103.258v10.826c0 29.295-23.833 53.128-53.128 53.128s-53.128-23.833-53.128-53.128v-102.872c0-47.42-38.58-86-86-86s-86 38.58-86 86v35.509c-34.192 6.968-60 37.271-60 73.491 0 41.355 33.645 75 75 75s75-33.645 75-75c0-36.219-25.808-66.522-60-73.491v-35.509c0-30.878 25.122-56 56-56s56 25.122 56 56v102.872c0 45.837 37.291 83.128 83.128 83.128s83.128-37.291 83.128-83.128v-10.826l43.749-103.258c4.882-2.722 9.615-5.777 14.152-9.2 21.172-15.97 36.214-37.89 43.5-63.39l39.812-139.342c5.655-19.79 1.788-40.566-10.607-56.998zm-378.862 389.142c0 24.813-20.187 45-45 45s-45-20.187-45-45 20.187-45 45-45 45 20.187 45 45zm233.256-58.451-20.452-48.273c6.697 1.135 13.529 1.724 20.453 1.724s13.755-.589 20.452-1.724z"
              />
              <circle cx="75" cy="435.007" r="15" />
            </g>
          </svg>
        </div>
        <div class="message-box">
          You can also add more symptoms!
          <br />
          You can choose from the below list or else choose None
          <div *ngFor="let disease of diseases">
            <label [for]="disease" class="checkbox-label">
              <input type="checkbox" [id]="disease" name="disease" />
              <span class="checkmark"></span>
              {{ disease }}
            </label>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="chatbox-input">
    <div class="input-attachment">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:svgjs="http://svgjs.com/svgjs"
        version="1.1"
        width="20"
        height="20"
        x="0"
        y="0"
        viewBox="0 0 612.675 612.675"
        style="enable-background: new 0 0 512 512"
        xml:space="preserve"
        class=""
      >
        <g>
          <g xmlns="http://www.w3.org/2000/svg">
            <g id="_x34__17_">
              <g>
                <path
                  d="M581.209,223.007L269.839,530.92c-51.592,51.024-135.247,51.024-186.839,0c-51.592-51.023-51.592-133.737,0-184.761     L363.248,69.04c34.402-34.009,90.15-34.009,124.553,0c34.402,34.008,34.402,89.166,0,123.174l-280.249,277.12     c-17.19,17.016-45.075,17.016-62.287,0c-17.19-16.993-17.19-44.571,0-61.587L394.37,161.42l-31.144-30.793L114.144,376.975     c-34.402,34.009-34.402,89.166,0,123.174c34.402,34.009,90.15,34.009,124.552,0l280.249-277.12     c51.592-51.023,51.592-133.737,0-184.761c-51.593-51.023-135.247-51.023-186.839,0L36.285,330.784l1.072,1.071     c-53.736,68.323-49.012,167.091,14.5,229.88c63.512,62.79,163.35,67.492,232.46,14.325l1.072,1.072l326.942-323.31     L581.209,223.007z"
                  fill="#91a2ae"
                  data-original="#000000"
                  style=""
                  class=""
                />
              </g>
            </g>
          </g>
        </g>
      </svg>
    </div>
    <div class="input-div">
      <input
        type="text"
        placeholder="Type here..."
        class="input-decoration"
        width=""
      />
    </div>
    <div class="input-send">
      <svg
        xmlns="http://www.w3.org/2000/svg"
        xmlns:xlink="http://www.w3.org/1999/xlink"
        xmlns:svgjs="http://svgjs.com/svgjs"
        version="1.1"
        width="20"
        height="20"
        x="0"
        y="0"
        viewBox="0 0 512 512"
        style="enable-background: new 0 0 512 512"
        xml:space="preserve"
        class=""
      >
        <g>
          <path
            xmlns="http://www.w3.org/2000/svg"
            style=""
            d="M507.607,4.395c-4.242-4.245-10.61-5.551-16.177-3.32l-482,192.798  c-5.516,2.205-9.209,7.458-9.42,13.394c-0.211,5.936,3.101,11.438,8.444,14.029l190.067,92.182l92.182,190.068  c2.514,5.184,7.764,8.454,13.493,8.454c0.178,0,0.357-0.003,0.536-0.01c5.936-0.211,11.188-3.904,13.394-9.419L510.928,20.573  C513.156,15.002,511.85,8.638,507.607,4.395z"
            fill="#91a2ae"
            data-original="#4dbbeb"
            class=""
          />
          <path
            xmlns="http://www.w3.org/2000/svg"
            style=""
            d="M507.607,4.395L198.522,313.477l92.182,190.068c2.514,5.184,7.764,8.454,13.493,8.454  c0.178,0,0.357-0.003,0.536-0.01c5.936-0.211,11.188-3.904,13.394-9.419L510.928,20.573C513.156,15.002,511.85,8.638,507.607,4.395  L507.607,4.395z"
            fill="#91a2ae"
            data-original="#2488ff"
            class=""
          />
        </g>
      </svg>
    </div>
  </div>
</div>
